vich_uploader:
    db_driver: orm
    metadata:
        type: attribute

    mappings:
       banniere:
           uri_prefix: '%banniere%'
           upload_destination: '%kernel.project_dir%/public/%banniere%'
           namer: Vich\UploaderBundle\Naming\OrignameNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true

       actualite:
           uri_prefix: '%actualiteImg%'
           upload_destination: '%kernel.project_dir%/public/%actualiteImg%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true

       marque:
           uri_prefix: '%marque%'
           upload_destination: '%kernel.project_dir%/public/%marque%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: false
           delete_on_update: true
           delete_on_remove: true

       partenaire:
           uri_prefix: '%partenaire%'
           upload_destination: '%kernel.project_dir%/public/%partenaire%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true

       album:
           uri_prefix: '%albumImg%'
           upload_destination: '%kernel.project_dir%/public/%albumImg%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true

       elemgraph:
           uri_prefix: '%elemGraph%'
           upload_destination: '%kernel.project_dir%/public/%elemGraph%'
           namer:
            service: vich_uploader.namer_property
            options: { property: 'nomImage' }
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true

       sommaire:
           uri_prefix: '%sommaire%'
           upload_destination: '%kernel.project_dir%/public/%sommaire%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true
        
       catAlbumImg:
           uri_prefix: '%catAlbumImg%'
           upload_destination: '%kernel.project_dir%/public/%catAlbumImg%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true

       galerie:
           uri_prefix: '%galerie%'
           upload_destination: '%kernel.project_dir%/public/%galerie%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true

       produit:
           uri_prefix: '%produitImg%'
           upload_destination: '%kernel.project_dir%/public/%produitImg%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: false
           delete_on_update: true
           delete_on_remove: true
       
       produitV:
           uri_prefix: '%produitV%'
           upload_destination: '%kernel.project_dir%/public/%produitV%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: false
           delete_on_update: true
           delete_on_remove: true

       document:
           uri_prefix: '%document%'
           upload_destination: '%kernel.project_dir%/public/%document%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true

       equipe:
           uri_prefix: '%equipe%'
           upload_destination: '%kernel.project_dir%/public/%equipe%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true

       articleBlog_images:
           uri_prefix: '%articleBlog_images%'
           upload_destination: '%kernel.project_dir%/public/%articleBlog_images%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true

       carte_images:
           uri_prefix: '%carte_images%'
           upload_destination: '%kernel.project_dir%/public/%carte_images%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true

       carteItem_images:
           uri_prefix: '%carteItem_images%'
           upload_destination: '%kernel.project_dir%/public/%carteItem_images%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true
        
       coordonnees:
           uri_prefix: '%coordonnees%'
           upload_destination: '%kernel.project_dir%/public/%coordonnees%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true
        
       beforeAfter:
           uri_prefix: '%beforeAfter%'
           upload_destination: '%kernel.project_dir%/public/%beforeAfter%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           inject_on_load: true
           delete_on_update: true
           delete_on_remove: true 